# $Revision: 1.20 $, $Date: 2007/06/08 16:27:56 $
#
# Conditional build:
%bcond_without	apidocs	# disable gtk-doc
%bcond_without	recode	# build without recode support
#
Summary:	Extremely Naive Charset Analyser
Summary(pl.UTF-8):	Skrajnie naiwny analizator zestawów znaków
Name:		enca
Version:	1.9
Release:	3
License:	GPL v2
Group:		Libraries
Source0:	http://trific.ath.cx/Ftp/enca/%{name}-%{version}.tar.bz2
# Source0-md5:	b3581e28d68d452286fb0bfe58bed3b3
Patch0:		%{name}-libdir.patch
URL:		http://trific.ath.cx/software/enca/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_apidocs:BuildRequires: gtk-doc >= 1.0}
BuildRequires:	iconv
%{?with_recode:BuildRequires:	recode-devel}
Requires:	/bin/mktemp
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enca is an Extremely Naive Charset Analyser. It detects character set
and encoding of text files and can also convert them to other
encodings using either a built-in converter or external libraries and
tools like libiconv, librecode, or cstocs.

Currently, it has support for Belarussian, Bulgarian, Croatian, Czech,
Estonian, Latvian, Lithuanian, Polish, Russian, Slovak, Slovene, and
Ukrainian and some multibyte encodings (mostly variants of Unicode)
independently on the language.

%description -l pl.UTF-8
Enca to Extremely Naive Charset Analyser (skrajnie naiwny analizator
zestawów znaków). Wykrywa zestaw znaków i kodowanie plików tekstowych,
może także konwertować do innych kodowań przy użyciu wbudowanego
konwertera lub zewnętrznych bibliotek i narzędzi takich jak libiconv,
librecode czy cstocs.

Aktualnie obsługiwane są znaki białoruskie, bułgarskie, chorwackie,
czeskie, estońskie, litewskie, łotewskie, polskie, rosyjskie,
słowackie, słoweńskie i ukraińskie oraz niektóre kodowania
wielobajtowe (głównie warianty unikodu) niezależnie od języka.

%package libs
Summary:	Shared Enca library
Summary(pl.UTF-8):	Biblioteka współdzielona Enca
Group:		Libraries

%description libs
This package contains shared Enca library other programs can make use
of.

%description libs -l pl.UTF-8
Ten pakiet zawiera bibliotekę współdzieloną Enca, która może być
wykorzystywana przez inne programy.

%package devel
Summary:	Header files for ENCA library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ENCA
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for ENCA library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ENCA.

%package static
Summary:	Static ENCA library
Summary(pl.UTF-8):	Statyczna biblioteka ENCA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ENCA library.

%description static -l pl.UTF-8
Statyczna biblioteka ENCA.

%package apidocs
Summary:	ENCA library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki ENCA
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
ENCA library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki ENCA.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	MKTEMP_PROG=/bin/mktemp \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1
echo '.so enca.1' > $RPM_BUILD_ROOT%{_mandir}/man1/enconv.1

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libexecdir}/enca
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc README.devel
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libenca
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enca.spec,v $
Revision 1.20  2007/06/08 16:27:56  megabajt
- added apidocs bcond and subpackage
- release 3

Revision 1.19  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.17  2006/04/16 11:45:28  pluto
- kill -L/usr/lib hardcoding in libenca.la, release 2.

Revision 1.16  2005/12/24 12:54:24  qboosh
- updated to 1.9

Revision 1.15  2005/11/27 23:16:30  qboosh
- updated to 1.8

Revision 1.14  2005/11/18 19:46:12  qboosh
- updated pl, fixed -devel R

Revision 1.13  2005/11/18 19:31:05  glen
- update files too

Revision 1.12  2005/11/18 19:12:50  glen
- -libs split

Revision 1.11  2005/06/30 16:56:58  speedy
- fix %files

Revision 1.10  2005/05/31 20:56:26  zbyniu
- regenerate ac; BR: iconv

Revision 1.9  2005/04/12 20:01:33  qboosh
- unified bcond header

Revision 1.8  2005/04/08 10:25:55  wrobell
- it is possible to build it without recode support (just iconv)

Revision 1.7  2005/03/03 23:01:52  qboosh
- updated to 1.7

Revision 1.6  2004/09/03 18:24:33  qboosh
- updated to 1.6

Revision 1.5  2004/05/30 15:25:18  adamg
- updated to 1.5

Revision 1.4  2004/05/12 22:33:19  paszczus
- updated to 1.4

Revision 1.3  2004/01/20 00:00:09  undefine
- copy config.sub, release 2

Revision 1.2  2003/12/25 11:16:46  qboosh
- updated to 1.3

Revision 1.1  2003/12/06 20:15:17  qboosh
- new
